/*
 * Copyright (C) 2000, 2001  Internet Software Consortium.
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM
 * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
 * INTERNET SOFTWARE CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/* $Id: rename.h,v 1.11.4.1 2001/01/09 22:48:15 bwelling Exp $ */

#ifndef SEC_RENAME_H
#define SEC_RENAME_H 1

#ifdef DST_USE_PRIVATE_OPENSSL
#define ASN1_BIT_STRING_free dst__openssl_ASN1_BIT_STRING_free
#define ASN1_BIT_STRING_get_bit dst__openssl_ASN1_BIT_STRING_get_bit
#define ASN1_BIT_STRING_new dst__openssl_ASN1_BIT_STRING_new
#define ASN1_BIT_STRING_set dst__openssl_ASN1_BIT_STRING_set
#define ASN1_BIT_STRING_set_bit dst__openssl_ASN1_BIT_STRING_set_bit
#define ASN1_ENUMERATED_free dst__openssl_ASN1_ENUMERATED_free
#define ASN1_ENUMERATED_get dst__openssl_ASN1_ENUMERATED_get
#define ASN1_ENUMERATED_new dst__openssl_ASN1_ENUMERATED_new
#define ASN1_ENUMERATED_set dst__openssl_ASN1_ENUMERATED_set
#define ASN1_ENUMERATED_to_BN dst__openssl_ASN1_ENUMERATED_to_BN
#define ASN1_GENERALIZEDTIME_check dst__openssl_ASN1_GENERALIZEDTIME_check
#define ASN1_GENERALIZEDTIME_free dst__openssl_ASN1_GENERALIZEDTIME_free
#define ASN1_GENERALIZEDTIME_new dst__openssl_ASN1_GENERALIZEDTIME_new
#define ASN1_GENERALIZEDTIME_set dst__openssl_ASN1_GENERALIZEDTIME_set
#define ASN1_GENERALIZEDTIME_set_string dst__openssl_ASN1_GENERALIZEDTIME_set_string
#define ASN1_IA5STRING_free dst__openssl_ASN1_IA5STRING_free
#define ASN1_IA5STRING_new dst__openssl_ASN1_IA5STRING_new
#define ASN1_INTEGER_cmp dst__openssl_ASN1_INTEGER_cmp
#define ASN1_INTEGER_dup dst__openssl_ASN1_INTEGER_dup
#define ASN1_INTEGER_free dst__openssl_ASN1_INTEGER_free
#define ASN1_INTEGER_get dst__openssl_ASN1_INTEGER_get
#define ASN1_INTEGER_new dst__openssl_ASN1_INTEGER_new
#define ASN1_INTEGER_set dst__openssl_ASN1_INTEGER_set
#define ASN1_INTEGER_to_BN dst__openssl_ASN1_INTEGER_to_BN
#define ASN1_OBJECT_create dst__openssl_ASN1_OBJECT_create
#define ASN1_OBJECT_free dst__openssl_ASN1_OBJECT_free
#define ASN1_OBJECT_new dst__openssl_ASN1_OBJECT_new
#define ASN1_OCTET_STRING_cmp dst__openssl_ASN1_OCTET_STRING_cmp
#define ASN1_OCTET_STRING_dup dst__openssl_ASN1_OCTET_STRING_dup
#define ASN1_OCTET_STRING_free dst__openssl_ASN1_OCTET_STRING_free
#define ASN1_OCTET_STRING_new dst__openssl_ASN1_OCTET_STRING_new
#define ASN1_OCTET_STRING_set dst__openssl_ASN1_OCTET_STRING_set
#define ASN1_PRINTABLESTRING_free dst__openssl_ASN1_PRINTABLESTRING_free
#define ASN1_PRINTABLESTRING_new dst__openssl_ASN1_PRINTABLESTRING_new
#define ASN1_PRINTABLE_type dst__openssl_ASN1_PRINTABLE_type
#define ASN1_STRING_cmp dst__openssl_ASN1_STRING_cmp
#define ASN1_STRING_data dst__openssl_ASN1_STRING_data
#define ASN1_STRING_dup dst__openssl_ASN1_STRING_dup
#define ASN1_STRING_free dst__openssl_ASN1_STRING_free
#define ASN1_STRING_length dst__openssl_ASN1_STRING_length
#define ASN1_STRING_length_set dst__openssl_ASN1_STRING_length_set
#define ASN1_STRING_new dst__openssl_ASN1_STRING_new
#define ASN1_STRING_set dst__openssl_ASN1_STRING_set
#define ASN1_STRING_type dst__openssl_ASN1_STRING_type
#define ASN1_STRING_type_new dst__openssl_ASN1_STRING_type_new
#define ASN1_T61STRING_free dst__openssl_ASN1_T61STRING_free
#define ASN1_T61STRING_new dst__openssl_ASN1_T61STRING_new
#define ASN1_TYPE_free dst__openssl_ASN1_TYPE_free
#define ASN1_TYPE_get dst__openssl_ASN1_TYPE_get
#define ASN1_TYPE_new dst__openssl_ASN1_TYPE_new
#define ASN1_TYPE_set dst__openssl_ASN1_TYPE_set
#define ASN1_UNIVERSALSTRING_to_string dst__openssl_ASN1_UNIVERSALSTRING_to_string
#define ASN1_UTCTIME_check dst__openssl_ASN1_UTCTIME_check
#define ASN1_UTCTIME_free dst__openssl_ASN1_UTCTIME_free
#define ASN1_UTCTIME_new dst__openssl_ASN1_UTCTIME_new
#define ASN1_UTCTIME_set dst__openssl_ASN1_UTCTIME_set
#define ASN1_UTCTIME_set_string dst__openssl_ASN1_UTCTIME_set_string
#define ASN1_UTF8STRING_free dst__openssl_ASN1_UTF8STRING_free
#define ASN1_UTF8STRING_new dst__openssl_ASN1_UTF8STRING_new
#define ASN1_VISIBLESTRING_free dst__openssl_ASN1_VISIBLESTRING_free
#define ASN1_VISIBLESTRING_new dst__openssl_ASN1_VISIBLESTRING_new
#define ASN1_check_infinite_end dst__openssl_ASN1_check_infinite_end
#define ASN1_get_object dst__openssl_ASN1_get_object
#define ASN1_object_size dst__openssl_ASN1_object_size
#define ASN1_put_object dst__openssl_ASN1_put_object
#define UTF8_getc dst__openssl_UTF8_getc
#define UTF8_putc dst__openssl_UTF8_putc
#define X509_ALGOR_free dst__openssl_X509_ALGOR_free
#define X509_ALGOR_new dst__openssl_X509_ALGOR_new
#define X509_SIG_free dst__openssl_X509_SIG_free
#define X509_SIG_new dst__openssl_X509_SIG_new
#define a2d_ASN1_OBJECT dst__openssl_a2d_ASN1_OBJECT
#define asn1_Finish dst__openssl_asn1_Finish
#define asn1_GetSequence dst__openssl_asn1_GetSequence
#define asn1_add_error dst__openssl_asn1_add_error
#define BN_BLINDING_convert dst__openssl_BN_BLINDING_convert
#define BN_BLINDING_free dst__openssl_BN_BLINDING_free
#define BN_BLINDING_invert dst__openssl_BN_BLINDING_invert
#define BN_BLINDING_new dst__openssl_BN_BLINDING_new
#define BN_BLINDING_update dst__openssl_BN_BLINDING_update
#define BN_CTX_end dst__openssl_BN_CTX_end
#define BN_CTX_free dst__openssl_BN_CTX_free
#define BN_CTX_get dst__openssl_BN_CTX_get
#define BN_CTX_init dst__openssl_BN_CTX_init
#define BN_CTX_new dst__openssl_BN_CTX_new
#define BN_CTX_start dst__openssl_BN_CTX_start
#define BN_MONT_CTX_copy dst__openssl_BN_MONT_CTX_copy
#define BN_MONT_CTX_free dst__openssl_BN_MONT_CTX_free
#define BN_MONT_CTX_init dst__openssl_BN_MONT_CTX_init
#define BN_MONT_CTX_new dst__openssl_BN_MONT_CTX_new
#define BN_MONT_CTX_set dst__openssl_BN_MONT_CTX_set
#define BN_RECP_CTX_free dst__openssl_BN_RECP_CTX_free
#define BN_RECP_CTX_init dst__openssl_BN_RECP_CTX_init
#define BN_RECP_CTX_new dst__openssl_BN_RECP_CTX_new
#define BN_RECP_CTX_set dst__openssl_BN_RECP_CTX_set
#define BN_add dst__openssl_BN_add
#define BN_add_word dst__openssl_BN_add_word
#define BN_bin2bn dst__openssl_BN_bin2bn
#define BN_bn2bin dst__openssl_BN_bn2bin
#define BN_bn2hex dst__openssl_BN_bn2hex
#define BN_clear dst__openssl_BN_clear
#define BN_clear_bit dst__openssl_BN_clear_bit
#define BN_clear_free dst__openssl_BN_clear_free
#define BN_cmp dst__openssl_BN_cmp
#define BN_copy dst__openssl_BN_copy
#define BN_div dst__openssl_BN_div
#define BN_div_recp dst__openssl_BN_div_recp
#define BN_div_word dst__openssl_BN_div_word
#define BN_dup dst__openssl_BN_dup
#define BN_exp dst__openssl_BN_exp
#define BN_free dst__openssl_BN_free
#define BN_from_montgomery dst__openssl_BN_from_montgomery
#define BN_gcd dst__openssl_BN_gcd
#define BN_generate_prime dst__openssl_BN_generate_prime
#define BN_get_params dst__openssl_BN_get_params
#define BN_get_word dst__openssl_BN_get_word
#define BN_hex2bn dst__openssl_BN_hex2bn
#define BN_init dst__openssl_BN_init
#define BN_is_bit_set dst__openssl_BN_is_bit_set
#define BN_is_prime dst__openssl_BN_is_prime
#define BN_is_prime_fasttest dst__openssl_BN_is_prime_fasttest
#define BN_lshift dst__openssl_BN_lshift
#define BN_lshift1 dst__openssl_BN_lshift1
#define BN_mask_bits dst__openssl_BN_mask_bits
#define BN_mod dst__openssl_BN_mod
#define BN_mod_exp dst__openssl_BN_mod_exp
#define BN_mod_exp2_mont dst__openssl_BN_mod_exp2_mont
#define BN_mod_exp_mont dst__openssl_BN_mod_exp_mont
#define BN_mod_exp_recp dst__openssl_BN_mod_exp_recp
#define BN_mod_exp_simple dst__openssl_BN_mod_exp_simple
#define BN_mod_inverse dst__openssl_BN_mod_inverse
#define BN_mod_mul dst__openssl_BN_mod_mul
#define BN_mod_mul_montgomery dst__openssl_BN_mod_mul_montgomery
#define BN_mod_mul_reciprocal dst__openssl_BN_mod_mul_reciprocal
#define BN_mod_word dst__openssl_BN_mod_word
#define BN_mul dst__openssl_BN_mul
#define BN_mul_word dst__openssl_BN_mul_word
#define BN_new dst__openssl_BN_new
#define BN_num_bits dst__openssl_BN_num_bits
#define BN_num_bits_word dst__openssl_BN_num_bits_word
#define BN_options dst__openssl_BN_options
#define BN_pseudo_rand dst__openssl_BN_pseudo_rand
#define BN_rand dst__openssl_BN_rand
#define BN_reciprocal dst__openssl_BN_reciprocal
#define BN_rshift dst__openssl_BN_rshift
#define BN_rshift1 dst__openssl_BN_rshift1
#define BN_set_bit dst__openssl_BN_set_bit
#define BN_set_params dst__openssl_BN_set_params
#define BN_set_word dst__openssl_BN_set_word
#define BN_sqr dst__openssl_BN_sqr
#define BN_sub dst__openssl_BN_sub
#define BN_sub_word dst__openssl_BN_sub_word
#define BN_to_ASN1_ENUMERATED dst__openssl_BN_to_ASN1_ENUMERATED
#define BN_to_ASN1_INTEGER dst__openssl_BN_to_ASN1_INTEGER
#define BN_uadd dst__openssl_BN_uadd
#define BN_ucmp dst__openssl_BN_ucmp
#define BN_usub dst__openssl_BN_usub
#define BN_value_one dst__openssl_BN_value_one
#define BN_version dst__openssl_BN_version
#define BUF_MEM_free dst__openssl_BUF_MEM_free
#define BUF_MEM_grow dst__openssl_BUF_MEM_grow
#define BUF_MEM_new dst__openssl_BUF_MEM_new
#define BUF_strdup dst__openssl_BUF_strdup
#define CRYPTO_add_lock dst__openssl_CRYPTO_add_lock
#define CRYPTO_dbg_free dst__openssl_CRYPTO_dbg_free
#define CRYPTO_dbg_get_options dst__openssl_CRYPTO_dbg_get_options
#define CRYPTO_dbg_malloc dst__openssl_CRYPTO_dbg_malloc
#define CRYPTO_dbg_realloc dst__openssl_CRYPTO_dbg_realloc
#define CRYPTO_dbg_set_options dst__openssl_CRYPTO_dbg_set_options
#define CRYPTO_dup_ex_data dst__openssl_CRYPTO_dup_ex_data
#define CRYPTO_free dst__openssl_CRYPTO_free
#define CRYPTO_free_ex_data dst__openssl_CRYPTO_free_ex_data
#define CRYPTO_free_locked dst__openssl_CRYPTO_free_locked
#define CRYPTO_get_add_lock_callback dst__openssl_CRYPTO_get_add_lock_callback
#define CRYPTO_get_ex_data dst__openssl_CRYPTO_get_ex_data
#define CRYPTO_get_ex_new_index dst__openssl_CRYPTO_get_ex_new_index
#define CRYPTO_get_id_callback dst__openssl_CRYPTO_get_id_callback
#define CRYPTO_get_lock_name dst__openssl_CRYPTO_get_lock_name
#define CRYPTO_get_locked_mem_functions \
	dst__openssl_CRYPTO_get_locked_mem_functions
#define CRYPTO_get_locking_callback dst__openssl_CRYPTO_get_locking_callback
#define CRYPTO_get_mem_debug_functions \
	dst__openssl_CRYPTO_get_mem_debug_functions
#define CRYPTO_get_mem_debug_options dst__openssl_CRYPTO_get_mem_debug_options
#define CRYPTO_get_mem_functions dst__openssl_CRYPTO_get_mem_functions
#define CRYPTO_get_new_lockid dst__openssl_CRYPTO_get_new_lockid
#define CRYPTO_is_mem_check_on dst__openssl_CRYPTO_is_mem_check_on
#define CRYPTO_lock dst__openssl_CRYPTO_lock
#define CRYPTO_malloc dst__openssl_CRYPTO_malloc
#define CRYPTO_malloc_locked dst__openssl_CRYPTO_malloc_locked
#define CRYPTO_mem_ctrl dst__openssl_CRYPTO_mem_ctrl
#define CRYPTO_new_ex_data dst__openssl_CRYPTO_new_ex_data
#define CRYPTO_num_locks dst__openssl_CRYPTO_num_locks
#define CRYPTO_pop_info dst__openssl_CRYPTO_pop_info
#define CRYPTO_push_info_ dst__openssl_CRYPTO_push_info_
#define CRYPTO_realloc dst__openssl_CRYPTO_realloc
#define CRYPTO_remalloc dst__openssl_CRYPTO_remalloc
#define CRYPTO_remove_all_info dst__openssl_CRYPTO_remove_all_info
#define CRYPTO_set_add_lock_callback dst__openssl_CRYPTO_set_add_lock_callback
#define CRYPTO_set_ex_data dst__openssl_CRYPTO_set_ex_data
#define CRYPTO_set_id_callback dst__openssl_CRYPTO_set_id_callback
#define CRYPTO_set_locked_mem_functions \
	dst__openssl_CRYPTO_set_locked_mem_functions
#define CRYPTO_set_locking_callback dst__openssl_CRYPTO_set_locking_callback
#define CRYPTO_set_mem_debug_functions \
	dst__openssl_CRYPTO_set_mem_debug_functions
#define CRYPTO_set_mem_debug_options dst__openssl_CRYPTO_set_mem_debug_options
#define CRYPTO_set_mem_functions dst__openssl_CRYPTO_set_mem_functions
#define CRYPTO_thread_id dst__openssl_CRYPTO_thread_id
#define d2i_ASN1_BIT_STRING dst__openssl_d2i_ASN1_BIT_STRING
#define d2i_ASN1_ENUMERATED dst__openssl_d2i_ASN1_ENUMERATED
#define d2i_ASN1_GENERALIZEDTIME dst__openssl_d2i_ASN1_GENERALIZEDTIME
#define d2i_ASN1_IA5STRING dst__openssl_d2i_ASN1_IA5STRING
#define d2i_ASN1_INTEGER dst__openssl_d2i_ASN1_INTEGER
#define d2i_ASN1_OBJECT dst__openssl_d2i_ASN1_OBJECT
#define d2i_ASN1_OCTET_STRING dst__openssl_d2i_ASN1_OCTET_STRING
#define d2i_ASN1_PRINTABLE dst__openssl_d2i_ASN1_PRINTABLE
#define d2i_ASN1_PRINTABLESTRING dst__openssl_d2i_ASN1_PRINTABLESTRING
#define d2i_ASN1_SET dst__openssl_d2i_ASN1_SET
#define d2i_ASN1_SET_OF_ASN1_OBJECT dst__openssl_d2i_ASN1_SET_OF_ASN1_OBJECT
#define d2i_ASN1_SET_OF_ASN1_TYPE dst__openssl_d2i_ASN1_SET_OF_ASN1_TYPE
#define d2i_ASN1_SET_OF_X509_ALGOR dst__openssl_d2i_ASN1_SET_OF_X509_ALGOR
#define d2i_ASN1_T61STRING dst__openssl_d2i_ASN1_T61STRING
#define d2i_ASN1_TYPE dst__openssl_d2i_ASN1_TYPE
#define d2i_ASN1_UINTEGER dst__openssl_d2i_ASN1_UINTEGER
#define d2i_ASN1_UTCTIME dst__openssl_d2i_ASN1_UTCTIME
#define d2i_ASN1_UTF8STRING dst__openssl_d2i_ASN1_UTF8STRING
#define d2i_ASN1_VISIBLESTRING dst__openssl_d2i_ASN1_VISIBLESTRING
#define d2i_ASN1_bytes dst__openssl_d2i_ASN1_bytes
#define d2i_ASN1_type_bytes dst__openssl_d2i_ASN1_type_bytes
#define d2i_DIRECTORYSTRING dst__openssl_d2i_DIRECTORYSTRING
#define d2i_DISPLAYTEXT dst__openssl_d2i_DISPLAYTEXT
#define d2i_X509_ALGOR dst__openssl_d2i_X509_ALGOR
#define d2i_X509_SIG dst__openssl_d2i_X509_SIG
#define DH_OpenSSL dst__openssl_DH_OpenSSL
#define DH_compute_key dst__openssl_DH_compute_key
#define DH_free dst__openssl_DH_free
#define DH_generate_key dst__openssl_DH_generate_key
#define DH_generate_parameters dst__openssl_DH_generate_parameters
#define DH_get_default_method dst__openssl_DH_get_default_method
#define DH_get_ex_data dst__openssl_DH_get_ex_data
#define DH_get_ex_new_index dst__openssl_DH_get_ex_new_index
#define DH_new dst__openssl_DH_new
#define DH_new_method dst__openssl_DH_new_method
#define DH_set_default_method dst__openssl_DH_set_default_method
#define DH_set_ex_data dst__openssl_DH_set_ex_data
#define DH_set_method dst__openssl_DH_set_method
#define DH_size dst__openssl_DH_size
#define DIRECTORYSTRING_free dst__openssl_DIRECTORYSTRING_free
#define DIRECTORYSTRING_new dst__openssl_DIRECTORYSTRING_new
#define DISPLAYTEXT_free dst__openssl_DISPLAYTEXT_free
#define DISPLAYTEXT_new dst__openssl_DISPLAYTEXT_new
#define DSA_OpenSSL dst__openssl_DSA_OpenSSL
#define DSA_SIG_free dst__openssl_DSA_SIG_free
#define DSA_SIG_new dst__openssl_DSA_SIG_new
#define DSA_do_sign dst__openssl_DSA_do_sign
#define DSA_do_verify dst__openssl_DSA_do_verify
#define DSA_free dst__openssl_DSA_free
#define DSA_generate_key dst__openssl_DSA_generate_key
#define DSA_generate_parameters dst__openssl_DSA_generate_parameters
#define DSA_get_default_method dst__openssl_DSA_get_default_method
#define DSA_get_ex_data dst__openssl_DSA_get_ex_data
#define DSA_get_ex_new_index dst__openssl_DSA_get_ex_new_index
#define DSA_new dst__openssl_DSA_new
#define DSA_new_method dst__openssl_DSA_new_method
#define DSA_set_default_method dst__openssl_DSA_set_default_method
#define DSA_set_ex_data dst__openssl_DSA_set_ex_data
#define DSA_set_method dst__openssl_DSA_set_method
#define DSA_sign_setup dst__openssl_DSA_sign_setup
#define ERR_add_error_data dst__openssl_ERR_add_error_data
#define ERR_clear_error dst__openssl_ERR_clear_error
#define ERR_error_string dst__openssl_ERR_error_string
#define ERR_free_strings dst__openssl_ERR_free_strings
#define ERR_func_error_string dst__openssl_ERR_func_error_string
#define ERR_get_err_state_table dst__openssl_ERR_get_err_state_table
#define ERR_get_error dst__openssl_ERR_get_error
#define ERR_get_error_line dst__openssl_ERR_get_error_line
#define ERR_get_error_line_data dst__openssl_ERR_get_error_line_data
#define ERR_get_next_error_library dst__openssl_ERR_get_next_error_library
#define ERR_get_state dst__openssl_ERR_get_state
#define ERR_get_string_table dst__openssl_ERR_get_string_table
#define ERR_lib_error_string dst__openssl_ERR_lib_error_string
#define ERR_load_BN_strings dst__openssl_ERR_load_BN_strings
#define ERR_load_DH_strings dst__openssl_ERR_load_DH_strings
#define ERR_load_DSA_strings dst__openssl_ERR_load_DSA_strings
#define ERR_load_ERR_strings dst__openssl_ERR_load_ERR_strings
#define ERR_load_strings dst__openssl_ERR_load_strings
#define ERR_peek_error dst__openssl_ERR_peek_error
#define ERR_peek_error_line dst__openssl_ERR_peek_error_line
#define ERR_peek_error_line_data dst__openssl_ERR_peek_error_line_data
#define ERR_put_error dst__openssl_ERR_put_error
#define ERR_reason_error_string dst__openssl_ERR_reason_error_string
#define ERR_remove_state dst__openssl_ERR_remove_state
#define ERR_set_error_data dst__openssl_ERR_set_error_data
#define i2d_ASN1_BIT_STRING dst__openssl_i2d_ASN1_BIT_STRING
#define i2d_ASN1_ENUMERATED dst__openssl_i2d_ASN1_ENUMERATED
#define i2d_ASN1_GENERALIZEDTIME dst__openssl_i2d_ASN1_GENERALIZEDTIME
#define i2d_ASN1_IA5STRING dst__openssl_i2d_ASN1_IA5STRING
#define i2d_ASN1_INTEGER dst__openssl_i2d_ASN1_INTEGER
#define i2d_ASN1_OBJECT dst__openssl_i2d_ASN1_OBJECT
#define i2d_ASN1_OCTET_STRING dst__openssl_i2d_ASN1_OCTET_STRING
#define i2d_ASN1_PRINTABLE dst__openssl_i2d_ASN1_PRINTABLE
#define i2d_ASN1_PRINTABLESTRING dst__openssl_i2d_ASN1_PRINTABLESTRING
#define i2d_ASN1_SET dst__openssl_i2d_ASN1_SET
#define i2d_ASN1_SET_OF_ASN1_OBJECT dst__openssl_i2d_ASN1_SET_OF_ASN1_OBJECT
#define i2d_ASN1_SET_OF_ASN1_TYPE dst__openssl_i2d_ASN1_SET_OF_ASN1_TYPE
#define i2d_ASN1_SET_OF_X509_ALGOR dst__openssl_i2d_ASN1_SET_OF_X509_ALGOR
#define i2d_ASN1_TYPE dst__openssl_i2d_ASN1_TYPE
#define i2d_ASN1_UTCTIME dst__openssl_i2d_ASN1_UTCTIME
#define i2d_ASN1_UTF8STRING dst__openssl_i2d_ASN1_UTF8STRING
#define i2d_ASN1_VISIBLESTRING dst__openssl_i2d_ASN1_VISIBLESTRING
#define i2d_ASN1_bytes dst__openssl_i2d_ASN1_bytes
#define i2d_DIRECTORYSTRING dst__openssl_i2d_DIRECTORYSTRING
#define i2d_DISPLAYTEXT dst__openssl_i2d_DISPLAYTEXT
#define i2d_X509_ALGOR dst__openssl_i2d_X509_ALGOR
#define i2d_X509_SIG dst__openssl_i2d_X509_SIG
#define i2t_ASN1_OBJECT dst__openssl_i2t_ASN1_OBJECT
#define MD5_Final dst__openssl_MD5_Final
#define MD5_Init dst__openssl_MD5_Init
#define MD5_Transform dst__openssl_MD5_Transform
#define MD5_Update dst__openssl_MD5_Update
#define MGF1 dst__openssl_MGF1
#define OBJ_add_object dst__openssl_OBJ_add_object
#define OBJ_bsearch dst__openssl_OBJ_bsearch
#define OBJ_cleanup dst__openssl_OBJ_cleanup
#define OBJ_cmp dst__openssl_OBJ_cmp
#define OBJ_create dst__openssl_OBJ_create
#define OBJ_dup dst__openssl_OBJ_dup
#define OBJ_ln2nid dst__openssl_OBJ_ln2nid
#define OBJ_new_nid dst__openssl_OBJ_new_nid
#define OBJ_nid2ln dst__openssl_OBJ_nid2ln
#define OBJ_nid2obj dst__openssl_OBJ_nid2obj
#define OBJ_nid2sn dst__openssl_OBJ_nid2sn
#define OBJ_obj2nid dst__openssl_OBJ_obj2nid
#define OBJ_obj2txt dst__openssl_OBJ_obj2txt
#define OBJ_sn2nid dst__openssl_OBJ_sn2nid
#define OBJ_txt2nid dst__openssl_OBJ_txt2nid
#define OBJ_txt2obj dst__openssl_OBJ_txt2obj
#define RAND_SSLeay dst__openssl_RAND_SSLeay
#define RAND_add dst__openssl_RAND_add
#define RAND_bytes dst__openssl_RAND_bytes
#define RAND_cleanup dst__openssl_RAND_cleanup
#define RAND_get_rand_method dst__openssl_RAND_get_rand_method
#define RAND_pseudo_bytes dst__openssl_RAND_pseudo_bytes
#define RAND_seed dst__openssl_RAND_seed
#define RAND_set_rand_method dst__openssl_RAND_set_rand_method
#define rand_ssleay_meth dst__openssl_rand_ssleay_meth
#define RAND_status dst__openssl_RAND_status
#define RSA_PKCS1_SSLeay dst__openssl_RSA_PKCS1_SSLeay
#define RSA_blinding_off dst__openssl_RSA_blinding_off
#define RSA_blinding_on dst__openssl_RSA_blinding_on
#define RSA_check_key dst__openssl_RSA_check_key
#define RSA_flags dst__openssl_RSA_flags
#define RSA_free dst__openssl_RSA_free
#define RSA_generate_key dst__openssl_RSA_generate_key
#define RSA_get_default_method dst__openssl_RSA_get_default_method
#define RSA_get_ex_data dst__openssl_RSA_get_ex_data
#define RSA_get_ex_new_index dst__openssl_RSA_get_ex_new_index
#define RSA_get_method dst__openssl_RSA_get_method
#define RSA_memory_lock dst__openssl_RSA_memory_lock
#define RSA_new dst__openssl_RSA_new
#define RSA_new_method dst__openssl_RSA_new_method
#define RSA_padding_add_PKCS1_OAEP dst__openssl_RSA_padding_add_PKCS1_OAEP
#define RSA_padding_add_PKCS1_type_1 dst__openssl_RSA_padding_add_PKCS1_type_1
#define RSA_padding_add_PKCS1_type_2 dst__openssl_RSA_padding_add_PKCS1_type_2
#define RSA_padding_add_SSLv23 dst__openssl_RSA_padding_add_SSLv23
#define RSA_padding_add_none dst__openssl_RSA_padding_add_none
#define RSA_padding_check_PKCS1_OAEP dst__openssl_RSA_padding_check_PKCS1_OAEP
#define RSA_padding_check_PKCS1_type_1 dst__openssl_RSA_padding_check_PKCS1_type_1
#define RSA_padding_check_PKCS1_type_2 dst__openssl_RSA_padding_check_PKCS1_type_2
#define RSA_padding_check_SSLv23 dst__openssl_RSA_padding_check_SSLv23
#define RSA_padding_check_none dst__openssl_RSA_padding_check_none
#define RSA_private_decrypt dst__openssl_RSA_private_decrypt
#define RSA_private_encrypt dst__openssl_RSA_private_encrypt
#define RSA_public_decrypt dst__openssl_RSA_public_decrypt
#define RSA_public_encrypt dst__openssl_RSA_public_encrypt
#define RSA_set_default_method dst__openssl_RSA_set_default_method
#define RSA_set_ex_data dst__openssl_RSA_set_ex_data
#define RSA_set_method dst__openssl_RSA_set_method
#define RSA_sign dst__openssl_RSA_sign
#define RSA_size dst__openssl_RSA_size
#define RSA_verify dst__openssl_RSA_verify
#define SHA1 dst__openssl_SHA1
#define SHA1_Final dst__openssl_SHA1_Final
#define SHA1_Init dst__openssl_SHA1_Init
#define SHA1_Transform dst__openssl_SHA1_Transform
#define SHA1_Update dst__openssl_SHA1_Update
#define bn_add_words dst__openssl_bn_add_words
#define bn_cmp_words dst__openssl_bn_cmp_words
#define bn_div_words dst__openssl_bn_div_words
#define bn_expand2 dst__openssl_bn_expand2
#define bn_mul_add_words dst__openssl_bn_mul_add_words
#define bn_mul_comba4 dst__openssl_bn_mul_comba4
#define bn_mul_comba8 dst__openssl_bn_mul_comba8
#define bn_mul_high dst__openssl_bn_mul_high
#define bn_mul_low_normal dst__openssl_bn_mul_low_normal
#define bn_mul_low_recursive dst__openssl_bn_mul_low_recursive
#define bn_mul_normal dst__openssl_bn_mul_normal
#define bn_mul_part_recursive dst__openssl_bn_mul_part_recursive
#define bn_mul_recursive dst__openssl_bn_mul_recursive
#define bn_mul_words dst__openssl_bn_mul_words
#define bn_sqr_comba4 dst__openssl_bn_sqr_comba4
#define bn_sqr_comba8 dst__openssl_bn_sqr_comba8
#define bn_sqr_normal dst__openssl_bn_sqr_normal
#define bn_sqr_recursive dst__openssl_bn_sqr_recursive
#define bn_sqr_words dst__openssl_bn_sqr_words
#define bn_sub_words dst__openssl_bn_sub_words
#define lh_delete dst__openssl_lh_delete
#define lh_doall dst__openssl_lh_doall
#define lh_doall_arg dst__openssl_lh_doall_arg
#define lh_free dst__openssl_lh_free
#define lh_insert dst__openssl_lh_insert
#define lh_new dst__openssl_lh_new
#define lh_retrieve dst__openssl_lh_retrieve
#define lh_strhash dst__openssl_lh_strhash
#define lh_num_items dst__openssl_lh_num_items
#define md5_block_host_order dst__openssl_md5_block_host_order
#define md5_block_data_order dst__openssl_md5_block_data_order
#define sha1_block_data_order dst__openssl_sha1_block_data_order
#define sha1_block_host_order dst__openssl_sha1_block_host_order
#define sk_ASN1_OBJECT_delete dst__openssl_sk_ASN1_OBJECT_delete
#define sk_ASN1_OBJECT_delete_ptr dst__openssl_sk_ASN1_OBJECT_delete_ptr
#define sk_ASN1_OBJECT_dup dst__openssl_sk_ASN1_OBJECT_dup
#define sk_ASN1_OBJECT_find dst__openssl_sk_ASN1_OBJECT_find
#define sk_ASN1_OBJECT_free dst__openssl_sk_ASN1_OBJECT_free
#define sk_ASN1_OBJECT_insert dst__openssl_sk_ASN1_OBJECT_insert
#define sk_ASN1_OBJECT_new dst__openssl_sk_ASN1_OBJECT_new
#define sk_ASN1_OBJECT_new_null dst__openssl_sk_ASN1_OBJECT_new_null
#define sk_ASN1_OBJECT_num dst__openssl_sk_ASN1_OBJECT_num
#define sk_ASN1_OBJECT_pop dst__openssl_sk_ASN1_OBJECT_pop
#define sk_ASN1_OBJECT_pop_free dst__openssl_sk_ASN1_OBJECT_pop_free
#define sk_ASN1_OBJECT_push dst__openssl_sk_ASN1_OBJECT_push
#define sk_ASN1_OBJECT_set dst__openssl_sk_ASN1_OBJECT_set
#define sk_ASN1_OBJECT_set_cmp_func dst__openssl_sk_ASN1_OBJECT_set_cmp_func
#define sk_ASN1_OBJECT_shift dst__openssl_sk_ASN1_OBJECT_shift
#define sk_ASN1_OBJECT_sort dst__openssl_sk_ASN1_OBJECT_sort
#define sk_ASN1_OBJECT_unshift dst__openssl_sk_ASN1_OBJECT_unshift
#define sk_ASN1_OBJECT_value dst__openssl_sk_ASN1_OBJECT_value
#define sk_ASN1_OBJECT_zero dst__openssl_sk_ASN1_OBJECT_zero
#define sk_ASN1_TYPE_delete dst__openssl_sk_ASN1_TYPE_delete
#define sk_ASN1_TYPE_delete_ptr dst__openssl_sk_ASN1_TYPE_delete_ptr
#define sk_ASN1_TYPE_dup dst__openssl_sk_ASN1_TYPE_dup
#define sk_ASN1_TYPE_find dst__openssl_sk_ASN1_TYPE_find
#define sk_ASN1_TYPE_free dst__openssl_sk_ASN1_TYPE_free
#define sk_ASN1_TYPE_insert dst__openssl_sk_ASN1_TYPE_insert
#define sk_ASN1_TYPE_new dst__openssl_sk_ASN1_TYPE_new
#define sk_ASN1_TYPE_new_null dst__openssl_sk_ASN1_TYPE_new_null
#define sk_ASN1_TYPE_num dst__openssl_sk_ASN1_TYPE_num
#define sk_ASN1_TYPE_pop dst__openssl_sk_ASN1_TYPE_pop
#define sk_ASN1_TYPE_pop_free dst__openssl_sk_ASN1_TYPE_pop_free
#define sk_ASN1_TYPE_push dst__openssl_sk_ASN1_TYPE_push
#define sk_ASN1_TYPE_set dst__openssl_sk_ASN1_TYPE_set
#define sk_ASN1_TYPE_set_cmp_func dst__openssl_sk_ASN1_TYPE_set_cmp_func
#define sk_ASN1_TYPE_shift dst__openssl_sk_ASN1_TYPE_shift
#define sk_ASN1_TYPE_sort dst__openssl_sk_ASN1_TYPE_sort
#define sk_ASN1_TYPE_unshift dst__openssl_sk_ASN1_TYPE_unshift
#define sk_ASN1_TYPE_value dst__openssl_sk_ASN1_TYPE_value
#define sk_ASN1_TYPE_zero dst__openssl_sk_ASN1_TYPE_zero
#define sk_CRYPTO_EX_DATA_FUNCS_delete \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_delete
#define sk_CRYPTO_EX_DATA_FUNCS_delete_ptr \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_delete_ptr
#define sk_CRYPTO_EX_DATA_FUNCS_dup \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_dup
#define sk_CRYPTO_EX_DATA_FUNCS_find \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_find
#define sk_CRYPTO_EX_DATA_FUNCS_free \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_free
#define sk_CRYPTO_EX_DATA_FUNCS_insert \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_insert
#define sk_CRYPTO_EX_DATA_FUNCS_new dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_new
#define sk_CRYPTO_EX_DATA_FUNCS_new_null \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_new_null
#define sk_CRYPTO_EX_DATA_FUNCS_num dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_num
#define sk_CRYPTO_EX_DATA_FUNCS_pop dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_pop
#define sk_CRYPTO_EX_DATA_FUNCS_pop_free \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_pop_free
#define sk_CRYPTO_EX_DATA_FUNCS_push dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_push
#define sk_CRYPTO_EX_DATA_FUNCS_set dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_set
#define sk_CRYPTO_EX_DATA_FUNCS_set_cmp_func \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_set_cmp_func
#define sk_CRYPTO_EX_DATA_FUNCS_shift \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_shift
#define sk_CRYPTO_EX_DATA_FUNCS_sort dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_sort
#define sk_CRYPTO_EX_DATA_FUNCS_unshift \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_unshift
#define sk_CRYPTO_EX_DATA_FUNCS_value \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_value
#define sk_CRYPTO_EX_DATA_FUNCS_zero dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_zero
#define sk_delete dst__openssl_sk_delete
#define sk_delete_ptr dst__openssl_sk_delete_ptr
#define sk_dup dst__openssl_sk_dup
#define sk_find dst__openssl_sk_find
#define sk_free dst__openssl_sk_free
#define sk_insert dst__openssl_sk_insert
#define sk_new dst__openssl_sk_new
#define sk_num dst__openssl_sk_num
#define sk_pop dst__openssl_sk_pop
#define sk_pop_free dst__openssl_sk_pop_free
#define sk_push dst__openssl_sk_push
#define sk_set dst__openssl_sk_set
#define sk_set_cmp_func dst__openssl_sk_set_cmp_func
#define sk_shift dst__openssl_sk_shift
#define sk_sort dst__openssl_sk_sort
#define sk_unshift dst__openssl_sk_unshift
#define sk_value dst__openssl_sk_value
#define sk_X509_ALGOR_delete dst__openssl_sk_X509_ALGOR_delete
#define sk_X509_ALGOR_delete_ptr dst__openssl_sk_X509_ALGOR_delete_ptr
#define sk_X509_ALGOR_dup dst__openssl_sk_X509_ALGOR_dup
#define sk_X509_ALGOR_find dst__openssl_sk_X509_ALGOR_find
#define sk_X509_ALGOR_free dst__openssl_sk_X509_ALGOR_free
#define sk_X509_ALGOR_insert dst__openssl_sk_X509_ALGOR_insert
#define sk_X509_ALGOR_new dst__openssl_sk_X509_ALGOR_new
#define sk_X509_ALGOR_new_null dst__openssl_sk_X509_ALGOR_new_null
#define sk_X509_ALGOR_num dst__openssl_sk_X509_ALGOR_num
#define sk_X509_ALGOR_pop dst__openssl_sk_X509_ALGOR_pop
#define sk_X509_ALGOR_pop_free dst__openssl_sk_X509_ALGOR_pop_free
#define sk_X509_ALGOR_push dst__openssl_sk_X509_ALGOR_push
#define sk_X509_ALGOR_set dst__openssl_sk_X509_ALGOR_set
#define sk_X509_ALGOR_set_cmp_func dst__openssl_sk_X509_ALGOR_set_cmp_func
#define sk_X509_ALGOR_shift dst__openssl_sk_X509_ALGOR_shift
#define sk_X509_ALGOR_sort dst__openssl_sk_X509_ALGOR_sort
#define sk_X509_ALGOR_unshift dst__openssl_sk_X509_ALGOR_unshift
#define sk_X509_ALGOR_value dst__openssl_sk_X509_ALGOR_value
#define sk_X509_ALGOR_zero dst__openssl_sk_X509_ALGOR_zero
#define sk_zero dst__openssl_sk_zero
#define DH_version dst__openssl_DH_version
#define DSA_version dst__openssl_DSA_version
#define lh_version dst__openssl_lh_version
#define RAND_version dst__openssl_RAND_version
#define RAND_event dst__RAND_event
#define MD5_version dst__openssl_MD5_version
#define SHA1_version dst__openssl_SHA1_version
#define STACK_version dst__openssl_STACK_version
#endif

#endif /* SEC_RENAME_H */
